2018-07-22 14:37 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004186Talerwallet (WebExtensions)public2018-04-15 20:37
ReporterFlorian Dold 
Assigned ToMarcello Stanisci 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionduplicate 
Product Version0.0 
Target Version0.6Fixed in Version0.6 
Summary0004186: fault injection should be implemented
Description... in order to test the wallet's behaviour when other components (mint, merchant) behave badly, there should be a http proxy that is able to modify the response to certain requests.

This isn't completely trivial, since the fault injection proxy must understand parts of the Taler HTTP protocol and be able to deal with crypto.

The proxy could be standalone, but it could also be implemented as a mock for the XMLHttpRequest or the wallet's facade for it.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
has duplicate 0004781resolvedMarcello Stanisci Error generating MITM 
child of 0004454resolvedMarcello Stanisci fault injection for all GNU Taler APIs 
+Relationships

-Notes

~0012899

Marcello Stanisci (manager)

Such a HTTP proxy now exists - twister.git - so if you believe
you need a XMLHttpRequest mock, you can always open a issue for it.

So for clarity, I'm going to close this.
+Notes

-Issue History
Date Modified Username Field Change
2016-02-18 21:03 Florian Dold New Issue
2016-02-18 21:03 Florian Dold Status new => assigned
2016-02-18 21:03 Florian Dold Assigned To => Florian Dold
2016-02-19 21:40 Christian Grothoff Product Version => 0.0
2016-02-19 21:40 Christian Grothoff Target Version => 0.6
2016-02-19 21:40 Christian Grothoff Severity minor => feature
2016-02-20 02:20 Christian Grothoff Priority normal => low
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004283
2016-05-04 06:51 Christian Grothoff Relationship added child of 0004454
2018-01-15 21:14 Christian Grothoff Relationship added has duplicate 0004781
2018-03-27 11:46 Marcello Stanisci Note Added: 0012899
2018-03-27 11:47 Marcello Stanisci Assigned To Florian Dold => Marcello Stanisci
2018-03-27 11:47 Marcello Stanisci Status assigned => closed
2018-03-27 11:47 Marcello Stanisci Resolution open => duplicate
2018-04-15 20:37 Christian Grothoff Status closed => resolved
2018-04-15 20:37 Christian Grothoff Fixed in Version => 0.6
+Issue History